HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostAccountsAccountCapabilitiesCapability

Contains the different functions to run the operation postAccountsAccountCapabilitiesCapability

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostAccountsAccountCapabilitiesCapability.hs
valuepostAccountsAccountCapabilitiesCapability
  1. :: MonadHTTP m
  2. => PostAccountsAccountCapabilitiesCapabilityParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> Maybe PostAccountsAccountCapabilitiesCapabilityRequestBody

    The request body to send

  4. -> ClientT m (Response PostAccountsAccountCapabilitiesCapabilityResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/accounts/{account}/capabilities/{capability}

<p>Updates an existing Account Capability.</p>

Defines the object schema located at paths./v1/accounts/{account}/capabilities/{capability}.POST.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/accounts/{account}/capabilities/{capability}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postAccountsAccountCapabilitiesCapability.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostAccountsAccountCapabilitiesCapabilityResponseError is used.

Instances2Eq, Show